Package org.eclipse.jsch.core

## Interface IPasswordStore

    public interface IPasswordStore

This interface abstracts the password store. The given password will be stored to via this interface. This interface is intended to be implemented by clients.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear​(IJSchLocation location)` The cached password should be flushed.
`boolean` `isCached​(IJSchLocation location)` This method will check if the password is cached or not.
`void` `update​(IJSchLocation location)`

### Method Detail

#### clear

    void clear​(IJSchLocation location)

The cached password should be flushed.

Parameters:
  `location` -

#### isCached

    boolean isCached​(IJSchLocation location)

This method will check if the password is cached or not.

Parameters:
  `location` -
Returns:
  whether the password is cached.

#### update

    void update​(IJSchLocation location)